import javazoom.jl.decoder.JavaLayerException;
import javazoom.jl.player.Player;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.util.HashMap;
import java.util.Map;

public class SoundHandler {

    private static boolean soundOn = true;

    // Wenn fehler beim erstellen von .jar mit sound hier gucken
    private static HashMap<String, String> sounds = new HashMap<String, String>(Map.of(
            "hit", "./Sound/water-drip.mp3"
    ));

    public static void playSound(String soundName) {
        if (soundOn) {
            new Thread(new Runnable() {
                @Override
                public void run() {
                    try {
                        Player player = new Player(new FileInputStream(sounds.get(soundName)));
                        player.play();
                    } catch (JavaLayerException | FileNotFoundException e) {
                        e.printStackTrace();
                    }
                }
            }).start();

        }
    }


    static void add(String soundName,  String path){
        sounds.put(soundName, path);
    }

    static void setSoundOn(boolean sound){
        soundOn= sound;
    }

}
